Skip to main content
`Ctrl`+`K`
scipy.interpolate.PPoly.

# integrate

PPoly.integrate(a, b, extrapolate=None)

  Compute a definite integral over a piecewise polynomial.

  Parameters:
    a float

      Lower integration bound

    b float

      Upper integration bound

    extrapolate{bool, ‘periodic’, None}, optional

      If bool, determines whether to extrapolate to out-of-bounds points based on first and last intervals, or to return NaNs. If ‘periodic’, periodic extrapolation is used. If None (default), use self.extrapolate.

  Returns:
    ig array_like

      Definite integral of the piecewise polynomial over [a, b]